{
  lib,
  modulesPath,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/cd-dvd/iso-image.nix")
    (modulesPath + "/profiles/qemu-guest.nix") # VirtIO kernel modules
  ];

  config = {
    isoImage.makeEfiBootable = true;
    isoImage.makeUsbBootable = true;

    networking.dhcpcd.enable = true;
    networking.useDHCP = true;

    me.image_based_appliance.enable = true;
  };
}
